cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1191
Views
0
Helpful
8
Replies
Highlighted
Beginner

Distribute software image failed on Prime 3.1 : Cannot coerce string type to XML document type, the empty string is not a valid XML document.

Hello,

I tried to distribute Software Image on 2960-X with Prime 3.1, but that doesn't work :

Cannot coerce string type to XML document type, the empty string is not a valid XML document.

My Prime version is : 

hdv-prime1/admin# show version

Cisco Application Deployment Engine OS Release: 3.1
ADE-OS Build Version: 3.1.0.001
ADE-OS System Architecture: x86_64

Copyright (c) 2009-2016 by Cisco Systems, Inc.
All rights reserved.
Hostname: hdv-prime1


Version information of installed applications
---------------------------------------------

Cisco Prime Infrastructure
********************************************************
Version : 3.1.0
Build : 3.1.0.0.132
Critical Fixes:
PI 3.1.4 Maintenance Release ( 4.0.0 )
PI 3.1.4 Update 01 ( 1.0.0 )
Device Support:
Prime Infrastructure 3.1 Device Pack 2 ( 2.0 )
Prime Infrastructure 3.1 Device Pack 5 ( 5.0 )
Prime Infrastructure 3.1 Device Pack 6 ( 6.0 )

I check a few times the doc and does see what's wrong !

Sylvain.

8 REPLIES 8
Highlighted
Beginner

I'm having this problem as well.

Looks like you found a solutions in the documentation.  Is it something you can share?

Highlighted

Not yet ! I used my favorite solution... The CLI !

Highlighted

K.  Mine was to a VG224.  We have a couple dozen to update.

Have a TAC case open on it.  Will update if they give any solution.

Highlighted

Mine turned out to be Bug CSCvb57356     Prime Infrastructure 3.1.4 Unable to distribute image to VG

Resolved in device pack 7.  Installed that this afternoon and deployment started working.

I was getting same error about coercing a string to XML.  That fix may not work for you since yours was a 2960.

Highlighted

Hi,

My PI is up to date with device packs and version.

I will open a SR on Cisco TAC and give a feedback

Highlighted

Did you ever get a solution for this?  I just received this same error message today.

Thanks

Dave

Highlighted

Hi,

Unfortunately no. After upgrading to the last device package this problem was still here, I did my switch upgrade manually.

Highlighted

Having the same issue with a 2960CX and PI 3.2 :(

Content for Community-Ad